Name:           ocaml-postgresql
Version:        2.1.0
Release:        %mkrel 6
Summary:        OCaml library for accessing PostreSQL databases
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://mmottl.github.io/postgresql-ocaml/
Source0:        https://github.com/mmottl/postgresql-ocaml/archive/v%{version}.zip

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  postgresql-devel
Requires:  postgresql-devel

%description
This OCaml-library provides an interface to PostgreSQL, an efficient
and reliable, open source, relational database.  Almost all
functionality available through the C-API (libpq) is replicated in a
type-safe way.  This library uses objects for representing database
connections and results of queries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n postgresql-ocaml-%{version}

%build
make

%install
# These rules work if the library uses 'ocamlfind install' to install itself.
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%makeinstall_std

%files
%doc README.md AUTHORS.txt COPYING.txt CHANGES.txt
%dir %{_libdir}/ocaml/postgresql/
%{_libdir}/ocaml/postgresql/*.cma
%{_libdir}/ocaml/postgresql/*.cmi
%{_libdir}/ocaml/postgresql/*.cmxs
%{_libdir}/ocaml/postgresql/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%{_libdir}/ocaml/postgresql/*.a
%{_libdir}/ocaml/postgresql/*.cmxa
%{_libdir}/ocaml/postgresql/*.cmx
%{_libdir}/ocaml/postgresql/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 2.1.0-6.mga6
+ Revision: 1056435
- Rebuild for fix in ocaml

* Thu Feb 18 2016 umeabot <umeabot> 2.1.0-5.mga6
+ Revision: 965130
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 2.1.0-4.mga5
+ Revision: 799049
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-3.mga5
+ Revision: 746102
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 683089
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 2.1.0-1.mga5
+ Revision: 673929
- update to 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 531860
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 blue_prawn <blue_prawn> 2.0.4-1.mga4
+ Revision: 465608
- updated to last version 2.0.4

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 361572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.0.2-1.mga3
+ Revision: 302179
- include *.cmx and *.cmxs files
- new filename for *.txt files
- new filename for *.txt files
- name changed for root directory
- updated to last version 2.0.2

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.18.0-5.mga3
+ Revision: 302138
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Thu Apr 05 2012 malo <malo> 1.18.0-3.mga2
+ Revision: 228780
- bump rel
- adding missing requires to postgresql-devel

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.18.0-1.mga2
+ Revision: 225885
- imported from Mandriva


* Sun Apr 10 2011 Per Øyvind Karlsen <peroyvind@mandriva.org>
+ Revision: 652382
- new version
- cleanups

* Thu Aug 12 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 569280
- updated version

* Sat Sep 19 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 444717
- new version

* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 437543
- new version

* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 437542
- new version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390300
- rebuild

* Sat May 23 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 379092
- updated version

* Sun Apr 05 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 364180
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 326206
- findlib package name

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 325954
- import ocaml-postgresql
